﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;

public partial class Main : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        RadRotator1.ItemTemplate = new RadRotatorTemplate();
        RadRotator1.DataSource = new[] { "Images/barcelona.jpg", "Images/london.jpg", "Images/paris.jpg" }; // place your datasource here
        RadRotator1.DataBind();
    }

	public class RadRotatorTemplate : ITemplate
	{
		public RadRotatorTemplate()
		{
		}

		public void InstantiateIn(System.Web.UI.Control container)
		{
			//create the controls that will be in the template and add them to the container
			Image img = new Image();
			img.AlternateText = "RadRotator Image";
			img.Width = Unit.Pixel(150);
			img.DataBinding += img_DataBinding;
			container.Controls.Add(img);
		}

		public void img_DataBinding(object sender, EventArgs e)
		{
			//set the src of the image in the rotator template using the url from the datasource
			Image img = sender as Image;
			RadRotatorItem frame = (RadRotatorItem)img.NamingContainer;
			img.ImageUrl = (string)frame.DataItem;
		}
	}
}